## PR Checklist
Please check if your PR fulfills the following requirements:

- [ ] The commit message follows our contributor [guidelines](https://github.com/CircleCI-Public/circleci-parser-sdk-ts/blob/main/CONTRIBUTING.md).
- [ ] Tests for the changes have been added (for bug fixes / features)
- [ ] Documentation has been added or updated where needed.

## PR Type
What kind of change does this PR introduce?

<!-- Please check the one that applies to this PR using "x". -->

- [ ] Bug fix
- [ ] Feature
- [ ] Code style update (formatting, local variables)
- [ ] Refactoring (no functional changes, no api changes)
- [ ] Build related changes
- [ ] CI related changes
- [ ] Other... Please describe:

> more details

## What issues are resolved by this PR?
<!-- All Pull Requests should be a response to an existing issue. Please ensure you have created an issue before submitting a PR. -->
- #[00]

## Describe the new behavior.
<!-- Describe the new behavior introduced by this change. Include an examples or samples needed, such as screenshots or code snippets. -->

> Description

## Does this PR introduce a breaking change?

- [ ] Yes
- [ ] No

<!-- If this PR contains a breaking change, please describe the impact and migration path for existing applications below. -->

## Other information
<!-- Optional. -->

> More information (optional)
